SetPlatformAuthentication
curl --request POST \
--url https://developer.synq.io/api/platforms/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": {
"athena": {
"instance": "<string>",
"catalog": "<string>"
}
},
"authentication": {
"oauth": {
"clientId": "<string>",
"clientSecret": "<string>"
}
}
}
'import requests
url = "https://developer.synq.io/api/platforms/v1"
payload = {
"platform": { "athena": {
"instance": "<string>",
"catalog": "<string>"
} },
"authentication": { "oauth": {
"clientId": "<string>",
"clientSecret": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platform: {athena: {instance: '<string>', catalog: '<string>'}},
authentication: {oauth: {clientId: '<string>', clientSecret: '<string>'}}
})
};
fetch('https://developer.synq.io/api/platforms/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"authentication": {
"oauth": {
"clientId": "<string>",
"clientSecret": "<string>"
}
}
}synq.platforms.v1.PlatformsService
SetPlatformAuthentication
POST
/
api
/
platforms
/
v1
SetPlatformAuthentication
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Platform identifier
- athena
- bigquery
- clickhouse
- databricks
- dbt_cloud
- duckdb
- mssql
- mysql
- oracle
- postgres
- redshift
- snowflake
- sql_mesh
- synq_integration_id
- trino
- unknown
Show child attributes
Show child attributes
Authentication details
- oauth
- password
- synq_managed_key_pair
- token
- user_managed_key_pair
Show child attributes
Show child attributes
⌘I